feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Error

Synopsis

- undef :: Syntax a => a
- assertMsg :: Syntax a => String -> Data Bool -> a -> a
- assert :: Syntax a => Data Bool -> a -> a
- err :: Syntax a => String -> a

# Documentation

undef :: Syntax a => a

assertMsg :: Syntax a => String -> Data Bool -> a -> a

Assert that the condition holds or fail with message

assert :: Syntax a => Data Bool -> a -> a

Assert that the condition holds, the conditions string representation is used as the message

err :: Syntax a => String -> a